using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace HiTeachCE.Models
{
    /// <summary>
    /// 只用于保存记录/不能用于上课使用
    /// </summary>
    [SugarTable("Classroom")]
    public class Classroom : Model
    {
        [SugarColumn(IsNullable = false, IsPrimaryKey = true)]
        public string id { get; set; }
        public string name { get; set; }
        /// <summary>
        /// 教室号
        /// </summary>
        public int roomNum { get; set; }
        public string deviceId { get; set; }
        public string unionid { get; set; }
        public string password { get; set; }
        public string username { get; set; }
        public long createTime { get; set; }

    }
}
