using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace HiTeachCE.Models
{
    [SugarTable("Lecturer")]
    public class Lecturer: Model
    {
        [SugarColumn(IsNullable = false, IsPrimaryKey = true)]
        public string id { get; set; }
        [SugarColumn(IsNullable = false)]
        public string unionid { get; set; }
        [Required(ErrorMessage = "用户名必须填写")]
        public string username { get; set; }
        public string password { get; set; }
        [Required(ErrorMessage = "账号必须填写")]
        public string account { get; set; }
        [Required(ErrorMessage = "手机号必须填写")]
        [SugarColumn(IsNullable = false)]
        public string cellphone { get; set; }
        public string areaCode { get; set; }
        public long registerTime { get; set; }
        public int status { get; set; }
        //是否设置了账号
        public int setaccount { get; set; } = 0;
        public string email { get; set; }
        public string avatar { get; set; }
        public string gender { get; set; }
        public string region { get; set; }
        public string dingOpenid { get; set; }
        public string dingUnionid { get; set; }
        public string dingNick { get; set; }
    }
}
