using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace HiTeachCE.Models
{
    [SugarTable("Organization")]
    public class Organization : Model
    {
        [SugarColumn(IsNullable = false, IsPrimaryKey = true)]
        public string id { get; set; }
        public string name { get; set; }
        public string code { get; set; }
        public int status { get; set; }
        /// <summary>
        /// 1企业用户，2个人用户
        /// </summary>
        public int type { get; set; }
        public long createTime { get; set; }
    }
}
