using HiTeachCE.Models;
using HiTeachCE.Services;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Threading.Tasks;
using TEAMModelOS.SDK.Extension.DataResult.JsonRpcResponse;

namespace HiTeachCE.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class TestController :BaseController
    {
        public LecturerService lecturerService;
        public TestController(LecturerService lecturer) {
            lecturerService = lecturer;
        }

        [HttpGet("test")]
        public BaseJosnRPCResponse Test() {
            JsonRPCResponseBuilder builder = new JsonRPCResponseBuilder();
            Expression<Func<Lecturer, object>> linq = null;
            linq = l => l.unionid;
            //List<Lecturer> lecturers=  lecturerService.GetList(linq,new string[] { "110649fa57b64556b36f28724c5af1c6", "70b828ada2b44cf8a7a4a3849fce9e17" , "b180ca87fea84c908a688c005b3f487e" });
            List<Lecturer> lecturers = lecturerService.GetList();
            return builder.Data(lecturers).build();
        
        }
    }
}
