﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace HiTeachCE.Models
{
    [SugarTable("WeChatUser")]
    public class WeChatUser : Model
    {
        [SugarColumn(IsNullable = false, IsPrimaryKey = true)]
        public string id { set; get; }
        /// <summary>
        /// 真实姓名
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string fullName { get; set; }
        /// <summary>
        /// 昵称
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public string nickName { get; set; }
        /// <summary>
        /// 性别
        /// </summary>
        public int gender { get; set; }
        /// <summary>
        /// unionId
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string unionId { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string avatarUrl { get; set; }

        /// <summary>
        /// 国家
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string country { get; set; }

        /// <summary>
        /// 省
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string province { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string city { get; set; }
        /// <summary>
        /// 注册时间
        /// </summary>
        public long registerTime { get; set; }
        [SugarColumn(IsNullable = true)]
        public string phoneCode { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string cellphone { get; set; }
        // 用户标识
        [SugarColumn(IsNullable = true)]
        public string openId { get; set; }
      
    }
}
